import os

import header


def erstelleHABogen(kursid, klassekurs_name, dateien, path, namen, gebdaten, config, inputs, kurs_inputs):

    table = ''

    allg = inputs["Allgemein"]
    schuljahr = allg["schuljahr"]
    halbjahr = allg["halbjahr"]

    ha_anzahl = int(config["Hausaufgaben"]["anzahl_ha"])

    try:
        ha_zeilen = int(kurs_inputs["ha_zeilen"])
    except KeyError:
        print('Der Schlüssel "ha_zeilen" existiert nicht für die Lerngruppe in der Input-Datei!')
        exit(0)

    try:
        namen_kurzlang = config["Namen"]["form"]
    except KeyError:
        print('Der Schlüssel Namen oder "form" existiert nicht in der Device-Datei!')
        exit(0)    

    if (namen_kurzlang=="lang"):
        beschriftung_name = "Name, Vorname"
    else:
        beschriftung_name = "Vorname N."

    offset = 0
    if (halbjahr=='2'):
        offset = 2

    css = 'ha'

    table += '<a name="'+klassekurs_name+'HA"></a>'

    table += header.erstelleKursnavigation(kursid, 'Hausaufgaben', 'ha', klassekurs_name, gebdaten, dateien, path, config, inputs, kurs_inputs)

    table += '<table class="'+css+'" repeat="1">'

    table += '<tr class="header"><th class="nr">Nr</th><th class="name">'+beschriftung_name+'</th>'
    for i in range(ha_anzahl):
        table += '<th class="'+css+'"></th>'
    table += '</tr>'

    rowspan = ''
    if ha_zeilen>1:
        rowspan = ' rowspan="'+str(ha_zeilen)+'"'

    count = 0
    for name in namen:

        count = count + 1

        for zeile in range(0, ha_zeilen):

            table += '<tr>'

            if zeile==0:
                table += '<td class="nr"'+rowspan+'>'+str(count)+'</td>'
                table += '<td class="name"'+rowspan+'>'+name+'</td>'
            
            for i in range(ha_anzahl):
                table += '<td class="'+css+'">&nbsp;</td>'

            table += '</tr>'

    table += '</table>'

    table += '<pdf:nextpage />'

    return table
